<?php
/***************************************************************************
 *					admin_modcp.php
 *					---------------
 *   begin                : Sunday, Dec 26, 2004
 *   copyright            : (C) 2004 Kooky
 *   email                : kooky@altern.org
 *
 *   $Id: admin_modcp.php, v1.00.1.00 2004/12/28 15:25:20 kooky Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['Modcp']['Configuration'] = "$file";
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

//
// Pull all config data
//
$sql = "SELECT *
	FROM " . CONFIG_TABLE;
if (!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information in admin_board", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = isset($HTTP_POST_VARS['submit']) ? str_replace("'", "\'", $config_value) : $config_value;
		
		$new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

		if ($config_name == 'cookie_name')
		{
			$cookie_name = str_replace('.', '_', $new['cookie_name']);
		}

		if ( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . CONFIG_TABLE . " SET
				config_value = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE config_name = '$config_name'";
			if ( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update general configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if ( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['Config_updated'] . '<br /><br />' . sprintf($lang['Click_return_config'], '<a href="' . append_sid("admin_modcp.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['Click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}
}

$module_disallow_yes = ( $new['enable_module_disallow'] ) ? ' checked="checked"' : '';
$module_disallow_no = ( !$new['enable_module_disallow'] ) ? ' checked="checked"' : '';

$module_mass_email_yes = ( $new['enable_module_mass_email'] ) ? ' checked="checked"' : '';
$module_mass_email_no = ( !$new['enable_module_mass_email'] ) ? ' checked="checked"' : '';

$module_ranks_yes = ( $new['enable_module_ranks'] ) ? ' checked="checked"' : '';
$module_ranks_no = ( !$new['enable_module_ranks'] ) ? ' checked="checked"' : '';

$module_smilies_yes = ( $new['enable_module_smilies'] ) ? ' checked="checked"' : '';
$module_smilies_no = ( !$new['enable_module_smilies'] ) ? ' checked="checked"' : '';

$module_user_ban_yes = ( $new['enable_module_user_ban'] ) ? ' checked="checked"' : '';
$module_user_ban_no = ( !$new['enable_module_user_ban'] ) ? ' checked="checked"' : '';

$module_users_yes = ( $new['enable_module_users'] ) ? ' checked="checked"' : '';
$module_users_no = ( !$new['enable_module_users'] ) ? ' checked="checked"' : '';

$module_words_yes = ( $new['enable_module_words'] ) ? ' checked="checked"' : '';
$module_words_no = ( !$new['enable_module_words'] ) ? ' checked="checked"' : '';

$template->set_filenames(array(
	"body" => "admin/modcp_config_body.tpl")
);

// Validate ModCP config
$template->assign_vars(array(
	"S_MODCP_ACTION" => append_sid("admin_modcp.$phpEx"),
	"L_MODCP_TITLE" => $lang['Modcp_title'],
	"L_MODCP_EXPLAIN" => $lang['Modcp_explain'],
	"L_MODCP_SETTINGS" => $lang['Modcp_settings'],

	"L_MODULE_DISALLOW" => $lang['Module_disallow'],
	"L_MODULE_DISALLOW_EXPLAIN" => $lang['Module_disallow_explain'],
	"L_MODULE_MASS_EMAIL" => $lang['Module_mass_email'],
	"L_MODULE_MASS_EMAIL_EXPLAIN" => $lang['Module_mass_email_explain'],
	"L_MODULE_RANKS" => $lang['Module_ranks'],
	"L_MODULE_RANKS_EXPLAIN" => $lang['Module_ranks_explain'],
	"L_MODULE_SMILIES" => $lang['Module_smilies'],
	"L_MODULE_SMILIES_EXPLAIN" => $lang['Module_smilies_explain'],
	"L_MODULE_USER_BAN" => $lang['Module_user_ban'],
	"L_MODULE_USER_BAN_EXPLAIN" => $lang['Module_user_ban_explain'],
	"L_MODULE_USERS" => $lang['Module_users'],
	"L_MODULE_USERS_EXPLAIN" => $lang['Module_users_explain'],
	"L_MODULE_WORDS" => $lang['Module_words'],
	"L_MODULE_WORDS_EXPLAIN" => $lang['Module_words_explain'],

	"L_YES" => $lang['Yes'],
	"L_NO" => $lang['No'],
	"L_SUBMIT" => $lang['Submit'],
	"L_RESET" => $lang['Reset'],
	"L_ENABLED" => $lang['Enabled'],
	"L_DISABLED" => $lang['Disabled'],

	"MODULE_DISALLOW_ENABLE" => $module_disallow_yes,
	"MODULE_DISALLOW_DISABLE" => $module_disallow_no,
	"MODULE_MASS_EMAIL_ENABLE" => $module_mass_email_yes,
	"MODULE_MASS_EMAIL_DISABLE" => $module_mass_email_no,
	"MODULE_RANKS_ENABLE" => $module_ranks_yes,
	"MODULE_RANKS_DISABLE" => $module_ranks_no,
	"MODULE_SMILIES_ENABLE" => $module_smilies_yes,
	"MODULE_SMILIES_DISABLE" => $module_smilies_no,
	"MODULE_USER_BAN_ENABLE" => $module_user_ban_yes,
	"MODULE_USER_BAN_DISABLE" => $module_user_ban_no,
	"MODULE_USERS_ENABLE" => $module_users_yes,
	"MODULE_USERS_DISABLE" => $module_users_no,
	"MODULE_WORDS_ENABLE" => $module_words_yes,
	"MODULE_WORDS_DISABLE" => $module_words_no)
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>